       function index5(orb,at)
!
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! Fonction index modifiee
! index5=index si at apparait dans orb ET...

! orb s'ecrit alors :    ---at----
! dans l'occurence at-, il faut que le "-" ne soit pas un chiffre

!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
!
      IMPLICIT REAL(8)(A-H,O-X,Z),logical(1)(y)
      character(*) orb,at
      l=len_trim(at)
      ! si at==orb, les tests ne marchent pas. on a index5=1
      if(l==len_trim(orb)) then
         if(at==orb) then
            index5=1
            return  
         endif   
      endif   
!
      i=index(orb,at(1:l))
      if(i==0) then
         index5=0
         return
      else
!        on a le schema :
!                               ---at----
!                                  | |
!                                  i i+l
         if(ichar(orb(i+l:i+l))>47.and.ichar(orb(i+l:i+l))<58) then
            index5=0
         else
            index5=i
         endif
      endif
      return
      end
